## org.eclipse.datatools.sqltools.editor
Interface IExtendedSaveSupport

    public interface IExtendedSaveSupport

This interface can be implemented by clients who are interested in customizing the save behavior of the SQL Editor.

Author:
  Shifeng Yu

Method Summary
`void` `postSave(java.sql.Connection conn, org.eclipse.ui.editors.text.TextEditor editor)` Performs all post treatment logic in the preSave method
`void` `preSave(java.sql.Connection conn, org.eclipse.ui.editors.text.TextEditor editor)` Performs all pretreatment logic in the preSave method

Method Detail

### preSave

    void preSave(java.sql.Connection conn,
                 org.eclipse.ui.editors.text.TextEditor editor)

  Performs all pretreatment logic in the preSave method

  Parameters:
    `conn` - the connection object
    `editor` -

### postSave

    void postSave(java.sql.Connection conn,
                  org.eclipse.ui.editors.text.TextEditor editor)

  Performs all post treatment logic in the preSave method

  Parameters:
    `conn` - the connection object
    `editor` -